Sisyphus repository
Last update: 28 october 2020 | SRPMs: 17698 | Visits: 19501051
en ru br
Maintainer: Ivan Zakharyaschev

 Information   Packages   Bugs and FR  Repocop 

Repocop messages:

package status test message
apt-0.5.15lorg2-alt71.3.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/countpkglist /usr/bin/genbasedir /usr/bin/genpkglist /usr/bin/gensrclist
apt-0.5.15lorg2-alt71.3.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/countpkglist /usr/bin/genbasedir /usr/bin/genpkglist /usr/bin/gensrclist
fonts-type1-cm-super-0.3.3-alt8.qa1.1.noarch
warn
altlinux-policy-tex-rpm-build-texmf According to TeX policy (http://www.altlinux.org/TeXPolicy) packages that install files to /usr/share/texmf should BuildRequires(pre): rpm-build-texmf for the dependency magic to work.
fonts-type1-cm-super-pfb-0.3.3-alt8.qa1.1.noarch
info
symlink-extra-slash /etc/X11/fontpath.d/type1-cm-super:pri=40:This symlink contains two successive slashes (//) or ends with a slash (/). symlinks should be as short as possible.
fonts-type1-cm-super-pfb-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
fonts-type1-cm-super-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
fonts-type1-cm-super-tex-dvips-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
fonts-type1-cm-super-tex-afm-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
fonts-type1-cm-super-tex-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
fonts-type1-cm-super-afm-0.3.3-alt8.qa1.1.noarch
info
missing-url Missing Url: in a package.
guile18-1.8.7-alt8.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-1-v-3.so but just /usr/lib64/libguile-srfi-srfi-1-v-3.so.3.0.2. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-1-v-3.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libguile-srfi-srfi-1-v-3.so to \%files of guile18-1.8.7-alt8.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libguile-srfi-srfi-13-14-v-3.so but just /usr/lib64/libguile-srfi-srfi-13-14-v-3.so.3.0.1. According to SharedLibs Policy Draft, symlink /usr/lib64/libguile-srfi-srfi-13-14-v-3.so should be plac... [the rest of the message is skipped]
guile18-1.8.7-alt8.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
initscripts-compat-fedora-9.72-alt1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
initscripts-compat-fedora-9.72-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/functions-compat
owamp-server-3.5.0-alt2.x86_64
info
uncompressed-manpages Package contains uncompressed manual pages.
prelink-0.4.4-alt3.x86_64
info
missing-url Missing Url: in a package.
prelink-tools-0.4.4-alt3.x86_64
info
missing-url Missing Url: in a package.
prelink-tools-debuginfo-0.4.4-alt3.x86_64
info
missing-url Missing Url: in a package.
python-module-configobj-5.0.6-alt1.1.1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package dynagen-0.11.0-alt2.noarch, for example, /usr/lib/python2.7/site-packages/configobj.py (6 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
qa-robot-0.3.9-alt2.noarch
info
missing-url Missing Url: in a package.
qa-robot-0.3.9-alt2.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/cmdcache /usr/bin/packages /usr/bin/rpmsodiff /usr/bin/rpmfile /usr/bin/bad_elf_symbols /usr/bin/rpmelfsym /usr/bin/linkage_problems /usr/bin/rpmargs /usr/bin/qa-robot /usr/bin/bugs /usr/bin/abi_drift /usr/bin/rpmsoname /usr/bin/rpmelfneed /usr/bin/dup_elf_symbols
rpm-4.13.0.1-alt24.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/gendiff /usr/bin/rpmbuild /usr/lib/rpm/appdata.prov /usr/lib/rpm/brp-alt /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-java-gcjcompile /usr/lib/rpm/brp-python-bytecompile /usr/lib/rpm/brp-python-hardlink /usr/lib/rpm/brp-strip /usr/lib/rpm/brp-strip-comment-note /usr/lib/rpm/brp-strip-shared /usr/lib/rpm/brp-strip-static-archive /usr/lib/rpm/check-buildroot /usr/lib/rpm/check-files /usr/lib/rpm/check-prereqs /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-rpaths-worker /usr/lib/rpm/config.guess /usr/lib/rpm/config.sub /usr/lib/rpm/debugedit /usr/lib/rpm/desktop-file.prov /usr/lib/rpm/elfdeps /usr/lib/rpm/fileattrs/appdata.attr /usr/lib/rpm/fileattrs/desktop.attr /usr/lib/rpm/fileattrs/elf.attr /usr/lib/rpm/fileattrs/font.attr /usr/lib/rpm/fileattrs/libtool.attr /usr/lib/rpm/fileattrs/mono.attr /usr/lib/rpm/fileattrs/ocaml.attr /usr/lib/rpm/fileattrs/perl.attr /usr/lib/rpm/fileattrs/perllib.attr /usr/lib/rpm/fileattrs/pkgconfig.attr ... [the rest of the message is skipped]
rpm-4.13.0.1-alt24.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/gendiff /usr/bin/rpmbuild /usr/lib/rpm/appdata.prov /usr/lib/rpm/brp-alt /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-java-gcjcompile /usr/lib/rpm/brp-python-bytecompile /usr/lib/rpm/brp-python-hardlink /usr/lib/rpm/brp-strip /usr/lib/rpm/brp-strip-comment-note /usr/lib/rpm/brp-strip-shared /usr/lib/rpm/brp-strip-static-archive /usr/lib/rpm/check-buildroot /usr/lib/rpm/check-files /usr/lib/rpm/check-prereqs /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-rpaths-worker /usr/lib/rpm/config.guess /usr/lib/rpm/config.sub /usr/lib/rpm/debugedit /usr/lib/rpm/desktop-file.prov /usr/lib/rpm/elfdeps /usr/lib/rpm/fileattrs/appdata.attr /usr/lib/rpm/fileattrs/desktop.attr /usr/lib/rpm/fileattrs/elf.attr /usr/lib/rpm/fileattrs/font.attr /usr/lib/rpm/fileattrs/libtool.attr /usr/lib/rpm/fileattrs/mono.attr /usr/lib/rpm/fileattrs/ocaml.attr /usr/lib/rpm/fileattrs/perl.attr /usr/lib/rpm/fileattrs/perllib.attr /usr/lib/rpm/fileattrs/pkgconfig.attr ... [the rest of the message is skipped]
rpmpeek-0.3.9-alt2.noarch
info
missing-url Missing Url: in a package.
rpmquery-strictdep-1-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/rpmquery-strictdep
rpmrebuild-kmodsign-0.2-alt2.noarch
info
missing-url Missing Url: in a package.
tmpdir.sh-0.3.9-alt2.noarch
info
missing-url Missing Url: in a package.
 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin